%define name	gpage
%define version	2.13
%define release 1mdk

Name: 	 	%{name}
Summary: 	Sends text messages to phones or pagers.
Version: 	%{version}
Release: 	%{release}

Source:		%{name}_src_%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
URL:		http://g-page.sourceforge.net/
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	expat libghttp-devel libgtk+2-devel pkgconfig
Requires:	expat

%description
g-page is a client/server program designed to send text message's to
alphanumeric pagers or PCS phones with short messaging, SMS, capabilities.

g-page currently supports three protocols: SNPP (simple network paging
protocol), SMTP (email), and WCTP (wireless communication transfer
protocol). g-page can work on a stand-alone workstation or across a
network. The server needs a live Internet connection to dispatch the page.

NOTE: If you do not have access to an outside SMS server, you will have to
      first run 'gserver' and set the server name to 'localhost'.

%prep
%setup -q -n Client

%build
%make CFLAGS="$RPM_OPT_FLAGS"
cd ../Server
%make CFLAGS="$RPM_OPT_FLAGS"
cd ../db_server
%make CFLAGS="$RPM_OPT_FLAGS"
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_bindir
cp %name %buildroot/%_bindir/
cp ../Server/gserver %buildroot/%_bindir
cp ../db_server/db_server %buildroot/%_bindir

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="G-Page" longtitle="Send text messages by SMS" section="Applications/Communications"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README LICENSE
%{_bindir}/%name
%{_bindir}/gserver
%{_bindir}/db_server
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Sat Mar 29 2003 Austin Acton <aacton@yorku.ca> 2.13-1mdk
- initial package
